<?
 /*SCRIPT PARA MANTENIMIENTO DE RECIBOS POR INGRESOS VARIOS*/
 /*DESARROLLADO POR: JOSE EFREN MONTERROSO SOLARES jefren@galileo.edu*/
 /*SOFTWARE: E-DUCATIVO */

  include("../fnc.php");
  enlinea_a();

  switch($tipo_trn){
   case "general":
   if(!$txtnfc){
     alert("Ingrese el número de documento","$goback");
   }

   if(!$mtipo){
     alert("Parámetros incorrectos","$goback");
   }

   $qdet=mysql_query("select * from cp_tmp_det_facturas where usuario = '$uuser' and tipo='$mtipo'");
   if(mysql_num_rows($qdet)==0){
    alert("Debe ingresar por lo menos 1 linea de detalle","$goback");
   }

    $qver=mysql_query("select * from cp_recibos where numero = $txtnfc and tipo=$mtipo");
    if(mysql_num_rows($qver)>0){
      alert("El número de recibo que ingresó ya existe,\\npor favor ingrese uno diferente",$goback);
    }

   $nfecha1=explode("/",$txtfecha);
   $nfecha=$nfecha1[2]."-".$nfecha1[1]."-".$nfecha1[0];
   $txtdireccion=str_replace(",","",$txtdireccion);
   $txtdireccion=str_replace("\"","",$txtdireccion);
   $txtdireccion=str_replace("'","",$txtdireccion);
   $txtdireccion=str_replace("´","",$txtdireccion);
   $txtdireccion=str_replace("`","",$txtdireccion);

     $totaldoc=0;
     while($idet=mysql_fetch_array($qdet)){
     $totaldoc+=$idet[cantidad]*$idet[valorunit];
     $sql="insert into cp_detalle_recibos
           set numero_doc=$txtnfc,
           cantidad='{$idet[cantidad]}',
           descripcion='{$idet[descripcion]}',
           valor='{$idet[valorunit]}',
           tipo_doc='$mtipo',
           id_cargo=0";
     $res=mysql_query($sql);

     // EFECTUAR LA TRANSACCION SI ES ALUMNO
     $txtcarnet="";
      if($txtalumno!="SV"){
       $txtcarnet=$txtalumno;
       if(existe_alumno($txtalumno)){
        $total_cargocc=$idet[valorunit]*$idet[cantidad];
        $sql_cc="insert into cp_cargos
                 set carnet='$txtalumno',
                 descripcion='{$idet[descripcion]}',
                 valor='$total_cargocc',
                 saldo='0.00',
                 fecha_cargo='$nfecha $hora',
                 fecha_pago='$nfecha $hora',
                 year='{$nfecha1[2]}',
                 tipo='OC',
                 mes='{$nfecha1[1]}',
                 usuario='$uuser',
                 documento='$txtnfc',
                 tipo_doc='$mtipo'";
         $rescc=mysql_query($sql_cc);
       }
      }
     // FIN DE LA TRANSACCION SI ES ALUMNO
     }

     if($txtfechadep){
       $tmpfd=explode("/",$txtfechadep);
       $fechadp=$tmpfd[2]."-".$tmpfd[1]."-".$tmpfd[0];
     }

     $sql="insert into cp_recibos
           set numero=$txtnfc,
           tipo='$mtipo',
           nit='$txtnit',
           carnet='$txtcarnet',
           nombre='$txtnombre',
           direccion='$txtdireccion',
           fecha='$nfecha $hora',
           total='$totaldoc',
           ef='$txtvef',
           chq='$txtchq',
           vchq='$txtvchq',
           vdp='$txtvdp',
           dp='$txtdp',
           fdp='$fechadp',
           vvale='$txtvvale',
           vale='$txtvale',
           vtc='$txtvtc',
           tc='$txttc',
           tipo_ingreso='VARIO',
           fecha_trn='$fechahora',
           usuario='$uuser'";

     $res=mysql_query($sql);

     if(!$res){
      echo "ERROR:".mysql_error();
      exit();
     }

     //ELIMINACION DE INFORMACIÓN TEMPORAL
     $q=mysql_query("delete from cp_tmp_facturas where usuario = '$uuser' and tipo='$mtipo'");
     $q=mysql_query("delete from cp_tmp_det_facturas where usuario = '$uuser' and tipo='$mtipo'");

     // ACTUALIZACION DE CORRELATIVO
     $qfc=mysql_query("select correlativo + 1 as numero, formulario from cp_talonarios where id = $mtipo");
     $ifc=mysql_fetch_array($qfc);

     if($txtnfc >= $ifc[numero]){
       $updc=mysql_query("update cp_talonarios set correlativo = $txtnfc where id = $mtipo");
     }

     header("Location: frame_recibo_all.php?idr=$txtnfc&tipo=$mtipo&backurl=frm_cp_det_recibod.php?mtipo=$mtipo&rpt={$ifc[formulario]}");
   break;

   case "Add_detalle":
     $sql="insert into cp_tmp_det_facturas
           set
           factura = 0,
           cantidad = $txtcantidad,
           descripcion = '$txtdescrip',
           valorunit='$txtvalorunit',
           usuario='$uuser',
           tipo='$mtipo'";

     $res=mysql_query($sql);
     if(!$res){
      echo "error: $sql <br>".mysql_error();
      exit();
     }
     header("Location: frm_cp_det_recibod.php?mtipo=$mtipo");
   break;

   case "Delete_det":
     if(!$confirmacion){
       $qinfo=mysql_query("select * from cp_tmp_det_facturas where id = $idd and tipo='$mtipo'");
       $info=mysql_fetch_array($qinfo);
       confirmacion("Está seguro que desea eliminar\\n{$info[cantidad]}  {$info[descripcion]}","mnt_cp_recibod.php?tipo_trn=Delete_det&confirmacion=ok&idd=$idd&mtipo=$mtipo","frm_cp_det_recibod.php?mtipo=$mtipo");
     }else{
      $sql="delete from cp_tmp_det_facturas where id = $idd and tipo='$mtipo'";
      //echo $sql;
      $res=mysql_query($sql);
      header("Location: frm_cp_det_recibod.php?mtipo=$mtipo");
     }
   break;

   case "Delete_all_det":
     if(!$confirmacion){
       confirmacion("Está seguro que desea eliminar todo \\nel detalle de esta transacción?\\n{$info[cantidad]}  {$info[descripcion]}","mnt_cp_recibod.php?tipo_trn=Delete_all_det&confirmacion=ok&mtipo=$mtipo","frm_cp_det_recibod.php?mtipo=$mtipo");
     }else{
      $sql="delete from cp_tmp_det_facturas where usuario  = '$uuser' and tipo='$mtipo'";
      $res=mysql_query($sql);
      header("Location: frm_cp_det_recibod.php?mtipo=$mtipo");
     }
   break;

   default: header("Location: ./inicio.php");
  }

?>
